# Class Arg<T>

java.lang.Object
org.apache.zookeeper.graph.filterops.Arg<T>

Direct Known Subclasses:
  `NumberArg, StringArg, SymbolArg`

public class Arg<T> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected T`
`value`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Arg(FilterOp.ArgType type)`

## Method Summary

Modifier and Type
Method
Description
`FilterOp.ArgType`
`getType()`
`T`
`getValue()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### value

protected T value

## Constructor Details

### Arg

protected Arg(FilterOp.ArgType type)

## Method Details

### getType

public FilterOp.ArgType getType()

### getValue

public T getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`